Importtypelib Task Import a COM type library into the .NET framework. |
Description
> Import a COM type library into the .NET framework. This task is a wrapper to .NET's tlbimport; it imports a tlb file to a NET assembly by generating a binary assembly (.dll) that contains all the binding metadata. It uses date timestamps to minimise rebuilds. Example
>      <importtypelib srcfile="xerces.tlb" destfile="xerces.dll" namespace="Apache.Xerces"/>
Parameters
> Attribute | Description | Type | Requirement
> destfile | name the output file. required | File | Optional
> extraoptions | set any extra options that are not yet supported by this task. | String
> namespace | what namespace is the typelib to be in. required | String
> srcfile | what is the source .tlb file? required. | File
> unsafe | do you want unsafe code. | boolean
> usesysarray | set this to map a COM SafeArray to the System.Array class | boolean
Parameters as nested elements